Scheduling
Export team payroll
Generate payroll for the selected employee or all agency employees over calendar dates in each employee's timezone. Options include tips, hourly wages and a flat extra payment per employee.
POST
/v1/agencies/{agencyId}/payroll-exportsGenerate payroll for the selected employee or all agency employees over calendar dates in each employee's timezone. Options include tips, hourly wages and a flat extra payment per employee.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
agencyId*string
Length
1 <= lengthRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/agencies/string/payroll-exports" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Content-Type: application/json" \ -d '{ "from": "string", "to": "string" }'{ "data": [ { "employeeId": "string", "name": "string", "hours": 0, "hourlyWage": null, "basePay": 0, "tips": null, "extraPay": 0, "totalPay": 0 } ], "meta": { "requestId": "string" }}